View a markdown version of this page

ListRetrievalInstructions - Amazon Bedrock

ListRetrievalInstructions

Lists the retrieval instructions in the caller's account. Results are paginated. Use the nextToken parameter to retrieve additional results.

Request Syntax

GET /retrievalinstructions/?maxResults=maxResults&nextToken=nextToken&status=status HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

maxResults

The maximum number of results to return in a single page. The effective upper bound is enforced service-side.

Valid Range: Minimum value of 1.

nextToken

The pagination token from a previous ListRetrievalInstructions response.

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

status

Return only instructions with this availability status.

Valid Values: ACTIVE | INACTIVE

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "retrievalInstructionSummaries": [ { "createdAt": "string", "description": "string", "lastTransitionStatus": "string", "name": "string", "retrievalInstructionArn": "string", "retrievalInstructionId": "string", "status": "string", "updatedAt": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

The pagination token to pass to the next ListRetrievalInstructions call, absent on the last page.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

retrievalInstructionSummaries

The retrieval instruction summaries in this page.

Type: Array of RetrievalInstructionSummary objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The request is denied because of missing access permissions.

HTTP Status Code: 403

InternalServerException

An internal server error occurred. Retry your request.

HTTP Status Code: 500

ThrottlingException

The number of requests exceeds the limit. Resubmit your request later.

HTTP Status Code: 429

ValidationException

Input validation failed. Check your request parameters and retry the request.

fieldList

A list of objects containing fields that caused validation errors and their corresponding validation error messages.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: